player = {
		x = 0,
		y = 600,
		xVel = 0,
		yVel = 0,
		health = 100,
		
		w = 32,
		h = 32,
		f = 1,
		s = 400,
		a = 500,
		
		moving = false,
		move_maxTime = 300,
		move_time = 300,
		move_fs = 50,
		
		inv = false,
		inv_time = 0,
		inv_fade = 400,
		
		
		col = {255, 255, 255, 255},
		
	}
	
f = love.graphics.newFont(16)
fb = love.graphics.newFont(64)
love.graphics.setFont(f)

function player.reset()
	player.x = screen.c - player.w/2
	player.y = 650
	player.xVel = 0
	player.yVel = 0
	
	player.health = 100
	player.moving = false
	player.move_time = 300
	player.inv = false
end
	
	
function player.update(dt)
	local mov = false
	--xVel update
	if love.keyboard.isDown("a") or love.keyboard.isDown("left") then
		mov = true
		if player.xVel > -player.s then 
			player.xVel = player.xVel - player.a * dt
		end
	elseif love.keyboard.isDown("d") or love.keyboard.isDown("right") then
		mov = true
		if player.xVel < player.s then 
			player.xVel = player.xVel + player.a * dt
		end
	end
	--yVel
	if love.keyboard.isDown("w") or love.keyboard.isDown("up") then
		mov = true
		if player.yVel > -player.s then 
			player.yVel = player.yVel - player.a * dt
		end
	elseif love.keyboard.isDown("s") or love.keyboard.isDown("down") then
		mov = true
		if player.yVel < player.s then 
			player.yVel = player.yVel + player.a * dt
		end
	end
	
	player.moving = mov
	
	--Wall Collision
	if player.x < 0 then
		player.xVel = 0
		player.x = 0
	elseif player.x > screen.w - player.w then
		player.xVel = 0
		player.x = screen.w - player.w
	end
	
	if player.y < 0 then
		player.yVel = 0
		player.y = 0
	elseif player.y > screen.h - player.h then
		player.yVel = 0
		player.y = screen.h - player.h
	end

	--Color Update
	if player.inv then
		if player.col[4] > 80 then
			player.col[4] = player.col[4] - player.inv_fade * dt
		else
			player.col[4] = 80
		end
	else
		if player.col[4] <= 250 then
			player.col[4] = player.col[4] + player.inv_fade * dt
		else
			player.col[4] = 255
		end
	end
	
	--Position Update
	player.xVel = player.xVel * (1 - math.min(dt*player.f, 1))
	player.yVel = player.yVel * (1 - math.min(dt*player.f, 1))
	player.x = player.x + player.xVel * dt
	player.y = player.y + player.yVel * dt
	
	--update of death
		if not player.inv then
			if player.moving then
				if player.move_time < player.move_maxTime then
					player.move_time = player.move_time + (player.move_fs /2) * dt 
				end
			else
				if player.move_time >= 0 then
					player.move_time = player.move_time - player.move_fs * dt 
				else
					game.reset()
				end
			end
		end
end

function player.draw()
	love.graphics.setColor(player.col[1], player.col[2], player.col[3], player.col[4])
	love.graphics.rectangle("fill", player.x, player.y, player.w, player.h)
	
	if player.inv then
		love.graphics.print(math.floor(player.inv_time), player.x + (player.w / 2) - (f:getWidth(tostring(math.floor(player.inv_time))) / 2), player.y + (player.h / 2) - f:getHeight() / 2)
	end
end




